{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.myConfig.programs.nextcloud;
in {
  options.myConfig.programs.nextcloud = {
    enable = lib.mkEnableOption "nextcloud client";
  };

  config = lib.mkIf cfg.enable {
    services.nextcloud-client = {
      enable = true;
      package = pkgs.unstable.nextcloud-client;
    };
  };
}
